### Hierarchy

- NonceInterceptor

### Implements

- HttpInterceptor

## Index

### Constructors

- constructor

### Properties

- DECORATOR_KEY

### Methods

- onIntercept

## Constructors

### constructor

- new NonceInterceptor(messageSigner: MessageSigner, nonceSource: NonceSource): NonceInterceptor

- - Defined in repository/source/http/NonceInterceptor.ts:15

  #### Parameters

  - ##### messageSigner: MessageSigner

  - ##### nonceSource: NonceSource

  #### Returns NonceInterceptor

## Properties

### Static DECORATOR_KEY

DECORATOR_KEY: string = "decorator:ExcludeNonce"

- Defined in repository/source/http/NonceInterceptor.ts:12

## Methods

### onIntercept

- onIntercept(cortege: InterceptorCortege): Promise<InterceptorCortege>

- Implementation of HttpInterceptor.onIntercept

  - Defined in repository/source/http/NonceInterceptor.ts:22

  #### Parameters

  - ##### cortege: InterceptorCortege

  #### Returns Promise<InterceptorCortege>

Generated using TypeDoc